list: API endpoint for returning a list of creatures.
retrieve: API endpoint for returning a particular creature.

GET /v2/creatures/?format=api&ordering=-truesight_range&page=3
HTTP 200 OK
Allow: GET, HEAD, OPTIONS
Content-Type: application/json
Vary: Accept

{
    "count": 3541,
    "next": "https://api.open5e.com/v2/creatures/?format=api&ordering=-truesight_range&page=4",
    "previous": "https://api.open5e.com/v2/creatures/?format=api&ordering=-truesight_range&page=2",
    "results": [
        {
            "key": "bfrd_marilith",
            "name": "Marilith",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Fiend",
                "key": "fiend"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 16.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "Abyssal,telepathy 120 ft.",
                "data": [
                    {
                        "name": "Abyssal",
                        "key": "abyssal",
                        "desc": "Typical speakers are demons."
                    }
                ]
            },
            "armor_class": 18,
            "armor_detail": "natural armor",
            "hit_points": 217,
            "hit_dice": null,
            "experience_points": 15000,
            "ability_scores": {
                "strength": 28,
                "dexterity": 20,
                "constitution": 30,
                "intelligence": 18,
                "wisdom": 26,
                "charisma": 30
            },
            "modifiers": {
                "strength": 9,
                "dexterity": 5,
                "constitution": 10,
                "intelligence": 4,
                "wisdom": 8,
                "charisma": 10
            },
            "initiative_bonus": 5,
            "saving_throws": {
                "strength": 9,
                "dexterity": 5,
                "constitution": 10,
                "intelligence": 4,
                "wisdom": 8,
                "charisma": 10
            },
            "saving_throws_all": {
                "strength": 9,
                "dexterity": 5,
                "constitution": 10,
                "intelligence": 4,
                "wisdom": 8,
                "charisma": 10
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 5,
                "animal_handling": 8,
                "arcana": 4,
                "athletics": 9,
                "deception": 10,
                "history": 4,
                "insight": 8,
                "intimidation": 10,
                "investigation": 4,
                "medicine": 8,
                "nature": 4,
                "perception": 8,
                "performance": 10,
                "persuasion": 10,
                "religion": 4,
                "sleight_of_hand": 5,
                "stealth": 5,
                "survival": 8
            },
            "passive_perception": 18,
            "resistances_and_immunities": {
                "damage_immunities_display": "Demonic Resilience",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning,piercing,and slashing damage from nonmagical attacks,Demonic Resilience",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 120,
            "actions": [
                {
                    "name": "Dagger",
                    "desc": "_Melee or Ranged Weapon Attack:_ +9 to hit, reach 5 ft. or range 20/60 ft., one target. _Hit:_ 9 (2d4+4) piercing damage plus 7 (2d6) fire damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Dagger attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 9,
                            "reach": 5,
                            "range": 20,
                            "long_range": 60,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D4",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Longsword",
                    "desc": "_Melee Weapon Attack:_ +9 to hit, reach 5 ft., one target. _Hit:_ 13 (2d8+4) slashing damage plus 7 (2d6) fire damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Longsword attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 9,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D8",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Mace",
                    "desc": "_Melee Weapon Attack:_ +9 to hit, reach 5 ft., one target. _Hit:_ 11 (2d6+4) bludgeoning damage plus 7 (2d6) fire damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Mace attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 9,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Marilith Tactics",
                    "desc": "The marilith shouts one of the following commands at up to two friendly creatures it can see within 30 feet of it:\n- **March!** Each target can use a reaction to move up to half its speed in a direction of the marilith's choice. This movement is unaffected by difficult terrain and doesn't provoke opportunity attacks.\n- **Protect Yourself!** Each target gains the marilith's Parry reaction until the start of the marilith's next turn.\n- **Remember Your Training!** Each target has advantage on the next weapon attack roll it makes before the start of the marilith's next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The marilith makes two Dagger attacks, two Mace attacks, and two Longsword attacks. It can replace two Dagger attacks with a Tail attack.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Parry",
                    "desc": "The marilith adds 5 to its AC against one melee attack that would hit it. To do so, the marilith must see the attacker and be wielding a melee weapon.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "REACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Tail",
                    "desc": "_Melee Weapon Attack:_ +9 to hit, reach 10 ft., one creature. _Hit:_ 20 (3d10+4) bludgeoning damage plus 7 (2d6) fire damage. If the target is Medium or smaller, it is grappled (escape DC 17). Until this grapple ends, the target is restrained, the marilith can automatically hit the target with its Tail, and the marilith can't make Tail attacks against other targets.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Tail attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 9,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D10",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Teleport",
                    "desc": "The marilith magically teleports, along with any equipment it is wearing or carrying, up to 60 feet to an unoccupied space it can see.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Demonic Resilience",
                    "desc": "The marilith is resistant to cold, fire, and lightning damage. In addition, it is immune to poison damage and to the poisoned condition."
                },
                {
                    "name": "Flaming Weapons",
                    "desc": "The marilith's weapon attacks are magical. When it hits with any weapon, the weapon deals an extra 2d6 fire damage (included in the attack)."
                },
                {
                    "name": "Magic Resistance",
                    "desc": "The marilith has advantage on saves against spells and other magical effects."
                },
                {
                    "name": "Reactive",
                    "desc": "The marilith gets up to five extra reactions, but these extra reactions can be used only for Parry."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_nalfeshnee",
            "name": "Nalfeshnee",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Fiend",
                "key": "fiend"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 13.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet",
                "fly": 30
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": false,
                "fly": 30,
                "burrow": 0,
                "climb": 10,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "Abyssal,telepathy 120 ft.",
                "data": [
                    {
                        "name": "Abyssal",
                        "key": "abyssal",
                        "desc": "Typical speakers are demons."
                    }
                ]
            },
            "armor_class": 18,
            "armor_detail": "natural armor",
            "hit_points": 196,
            "hit_dice": null,
            "experience_points": 10000,
            "ability_scores": {
                "strength": 20,
                "dexterity": 10,
                "constitution": 32,
                "intelligence": 26,
                "wisdom": 22,
                "charisma": 24
            },
            "modifiers": {
                "strength": 5,
                "dexterity": 0,
                "constitution": 11,
                "intelligence": 8,
                "wisdom": 6,
                "charisma": 7
            },
            "initiative_bonus": 0,
            "saving_throws": {
                "strength": 5,
                "dexterity": 0,
                "constitution": 11,
                "intelligence": 8,
                "wisdom": 6,
                "charisma": 7
            },
            "saving_throws_all": {
                "strength": 5,
                "dexterity": 0,
                "constitution": 11,
                "intelligence": 8,
                "wisdom": 6,
                "charisma": 7
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 0,
                "animal_handling": 6,
                "arcana": 8,
                "athletics": 5,
                "deception": 7,
                "history": 8,
                "insight": 6,
                "intimidation": 7,
                "investigation": 8,
                "medicine": 6,
                "nature": 8,
                "perception": 6,
                "performance": 7,
                "persuasion": 7,
                "religion": 8,
                "sleight_of_hand": 0,
                "stealth": 0,
                "survival": 6
            },
            "passive_perception": 16,
            "resistances_and_immunities": {
                "damage_immunities_display": "Demonic Resilience",
                "damage_immunities": [],
                "damage_resistances_display": "bludgeoning,piercing,and slashing damage from nonmagical attacks,Demonic Resilience",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 120,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "_Melee Weapon Attack:_ +10 to hit, reach 5 ft., one target. _Hit:_ 28 (4d8+5) piercing damage. If this attack hits a frightened creature, the nalfeshnee regains HP equal to half the damage dealt.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 10,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D8",
                            "damage_bonus": 5,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Claw",
                    "desc": "_Melee Weapon Attack:_ +10 to hit, reach 10 ft., one target. _Hit:_ 19 (4d6+5) slashing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Claw attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 10,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D6",
                            "damage_bonus": 5,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Slashing",
                                "key": "slashing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Gore",
                    "desc": "_Melee Weapon Attack:_ +10 to hit, reach 5 ft., one target. _Hit:_ 21 (3d10+5) piercing damage, and the target must succeed on a DC 16 STR save or be knocked prone.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Gore attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 10,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D10",
                            "damage_bonus": 5,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The nalfeshnee makes one Bite attack, one Gore attack, and two Claw attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Sudden Feast",
                    "desc": "When a creature the nalfeshnee can see within 20 feet of it is reduced to 0 HP or dies, the nalfeshnee can move up to its speed toward the creature without provoking opportunity attacks then feast on the creature, if it moves to within 5 feet of the creature. The nalfeshnee regains HP equal to twice the creature's CR or class level, and the creature has disadvantage on the next death save it makes, if it is making death saves.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "REACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Teleport",
                    "desc": "The nalfeshnee magically teleports, along with any equipment it is wearing or carrying, up to 60 feet to an unoccupied space it can see.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Demonic Resilience",
                    "desc": "The nalfeshnee is resistant to cold, fire, and lightning damage. In addition, it is immune to poison damage and to the poisoned condition."
                },
                {
                    "name": "Horrific Nimbus",
                    "desc": "The nalfeshnee magically emits scintillating, multicolored light that disorients and frightens mortals. Each creature that isn't an Aberration, Celestial, or Fiend and that starts its turn within 15 feet of the nalfeshnee must succeed on a DC 16 WIS save or be frightened until the start of its next turn. A creature that fails the save by 5 or more must take the Dash action on its turn and move away from the nalfeshnee by the safest available route, unless there is nowhere to move."
                },
                {
                    "name": "Magic Resistance",
                    "desc": "The nalfeshnee has advantage on saves against spells and other magical effects."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_night-hag",
            "name": "Night Hag",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Fiend",
                "key": "fiend"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 5.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "Abyssal,Common,Infernal,Primordial",
                "data": [
                    {
                        "name": "Abyssal",
                        "key": "abyssal",
                        "desc": "Typical speakers are demons."
                    },
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    },
                    {
                        "name": "Infernal",
                        "key": "infernal",
                        "desc": "Typical speakers are devils."
                    },
                    {
                        "name": "Primordial",
                        "key": "primordial",
                        "desc": "Typical speakers are elementals."
                    }
                ]
            },
            "armor_class": 17,
            "armor_detail": "natural armor",
            "hit_points": 104,
            "hit_dice": null,
            "experience_points": 1800,
            "ability_scores": {
                "strength": 18,
                "dexterity": 14,
                "constitution": 16,
                "intelligence": 16,
                "wisdom": 14,
                "charisma": 22
            },
            "modifiers": {
                "strength": 4,
                "dexterity": 2,
                "constitution": 3,
                "intelligence": 3,
                "wisdom": 2,
                "charisma": 6
            },
            "initiative_bonus": 2,
            "saving_throws": {
                "strength": 4,
                "dexterity": 2,
                "constitution": 3,
                "intelligence": 3,
                "wisdom": 2,
                "charisma": 6
            },
            "saving_throws_all": {
                "strength": 4,
                "dexterity": 2,
                "constitution": 3,
                "intelligence": 3,
                "wisdom": 2,
                "charisma": 6
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": 2,
                "arcana": 3,
                "athletics": 4,
                "deception": 6,
                "history": 3,
                "insight": 2,
                "intimidation": 6,
                "investigation": 3,
                "medicine": 2,
                "nature": 3,
                "perception": 2,
                "performance": 6,
                "persuasion": 6,
                "religion": 3,
                "sleight_of_hand": 2,
                "stealth": 2,
                "survival": 2
            },
            "passive_perception": 12,
            "resistances_and_immunities": {
                "damage_immunities_display": "charmed,unconscious",
                "damage_immunities": [],
                "damage_resistances_display": "cold,fire; bludgeoning,piercing,and slashing damage from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Fire",
                        "key": "fire"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 120,
            "actions": [
                {
                    "name": "Arcane Bolt",
                    "desc": "_Ranged Spell Attack:_ +6 to hit, range 60 ft., one target. _Hit:_ 19 (3d10+3) force damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Arcane Bolt attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 6,
                            "reach": null,
                            "range": 60,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D10",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Force",
                                "key": "force"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Cause Sorrow",
                    "desc": "One creature the hag can see within 10 feet of it must succeed on a DC 14 CHA save or be filled with sorrow for 1 minute. While filled with sorrow, a creature is incapacitated and experiences visions or memories of sorrowful events. The target can repeat the save at the end of each of its turns (if conscious) or end of each hour (if unconscious), ending the effect on itself on a success.<br>For each hour an unconscious creature is affected, its HP maximum is reduced by 5 (1d10). This reduction lasts until removed by the greater restoration spell or similar magic. The creature dies if this effect reduces its HP maximum to 0. If an unconscious creature suffers from least 1 hour, it doesn't gain any benefits from the rest. The hag can have only one creature filled with sorrow at a time. If it uses Cause Sorrow on another, the effect on the previous creature ends.Cause Sorrow for at",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Change Shape",
                    "desc": "The hag magically transforms into Medium or smaller Humanoid, or back into its true form, which is Fiend. Its statistics, other than its size, are the same in each form. Any equipment it is wearing or carrying transforms with it. It reverts to its true form if it dies.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Claw",
                    "desc": "_Melee Weapon Attack:_ +7 to hit, reach 5 ft., one target. _Hit:_ 18 (4d6+4) slashing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Claw (Hag Form Only) attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Slashing",
                                "key": "slashing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": "Hag Form Only",
                    "usage_limits": null
                },
                {
                    "name": "Etherealness",
                    "desc": "The hag magically enters the Ethereal Plane from the Material Plane, or vice versa. The hag can use Cause Sorrow on an unconscious creature not on its plane; otherwise, the hag can't affect or be affected by anything on the other plane.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The night hag can use Cause Sorrow. It then makes two Claw or Arcane Bolt attacks. It can replace one Claw or Arcane Bolt attack with a use of Spellcasting.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Spellcasting",
                    "desc": "The hag casts one of the following spells, requiring no material components and using CHA as the spellcasting ability (spell save DC 14).\n\n- **At Will:** _ray of enfeeblement_, _silent image_\n- **2/Day Each:** _detect thoughts_, _plane shift_ (self only), _sleep_",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Magic Resistance",
                    "desc": "The hag has advantage on saves against spells and other magical effects."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_pit-fiend",
            "name": "Pit Fiend",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Fiend",
                "key": "fiend"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 20.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet",
                "fly": 60
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 60,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "Infernal,telepathy 120 ft.",
                "data": [
                    {
                        "name": "Infernal",
                        "key": "infernal",
                        "desc": "Typical speakers are devils."
                    }
                ]
            },
            "armor_class": 19,
            "armor_detail": "natural armor",
            "hit_points": 323,
            "hit_dice": null,
            "experience_points": 25000,
            "ability_scores": {
                "strength": 26,
                "dexterity": 26,
                "constitution": 36,
                "intelligence": 22,
                "wisdom": 30,
                "charisma": 24
            },
            "modifiers": {
                "strength": 8,
                "dexterity": 8,
                "constitution": 13,
                "intelligence": 6,
                "wisdom": 10,
                "charisma": 7
            },
            "initiative_bonus": 8,
            "saving_throws": {
                "strength": 8,
                "dexterity": 8,
                "constitution": 13,
                "intelligence": 6,
                "wisdom": 10,
                "charisma": 7
            },
            "saving_throws_all": {
                "strength": 8,
                "dexterity": 8,
                "constitution": 13,
                "intelligence": 6,
                "wisdom": 10,
                "charisma": 7
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 8,
                "animal_handling": 10,
                "arcana": 6,
                "athletics": 8,
                "deception": 7,
                "history": 6,
                "insight": 10,
                "intimidation": 7,
                "investigation": 6,
                "medicine": 10,
                "nature": 6,
                "perception": 10,
                "performance": 7,
                "persuasion": 7,
                "religion": 6,
                "sleight_of_hand": 8,
                "stealth": 8,
                "survival": 10
            },
            "passive_perception": 20,
            "resistances_and_immunities": {
                "damage_immunities_display": "charmed,frightened,Devilish Resilience",
                "damage_immunities": [],
                "damage_resistances_display": "Devilish Resilience",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 120,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "_Melee Weapon Attack:_ +14 to hit, reach 5 ft., one target. _Hit:_ 22 (4d6+8) piercing damage plus 14 (4d6) fire damage and 13 (3d8) poison damage. The target must succeed on a DC 21 CON save or be poisoned. While poisoned in this way, the target can't regain HP. The target can repeat the save at the end of each of its turns, ending the effect on itself on a success.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 14,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D6",
                            "damage_bonus": 8,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Poison",
                                "key": "poison"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Gore",
                    "desc": "_Melee Weapon Attack:_ +14 to hit, reach 10 ft., one target. _Hit:_ 17 (2d8+8) piercing damage plus 14 (4d6) fire damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Gore attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 14,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D8",
                            "damage_bonus": 8,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Hurl Flame",
                    "desc": "_Ranged Spell Attack:_ +10 to hit, range 120 ft., one target. _Hit:_ 25 (6d6+4) fire damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Hurl Flame attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 10,
                            "reach": null,
                            "range": 120,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 6,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 5,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Mace",
                    "desc": "_Melee Weapon Attack:_ +14 to hit, reach 10 ft., one target. _Hit:_ 15 (2d6+8) bludgeoning damage plus 14 (4d6) fire damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Mace attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 14,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 8,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The pit fiend makes one Bite attack, one Gore attack, one Mace attack, and one Tail attack, or it makes four Hurl Flame attacks. If two Hurl Flame attacks hit one creature, each creature within 10 feet of the target must make a DC 21 DEX save as the fire bursts outward from the target, taking 14 (4d6) fire damage on a failed save, or half as much damage on a successful one.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Tail",
                    "desc": "_Melee Weapon Attack:_ +14 to hit, reach 10 ft., one target. _Hit:_ 24 (3d10+8) bludgeoning damage plus 14 (4d6) fire damage, and the target must succeed on a DC 21 STR save or be knocked prone.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Tail attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 14,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D10",
                            "damage_bonus": 8,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Aura of the Devil Lord",
                    "desc": "Each hostile creature that starts its turn within 20 feet of the pit fiend must succeed on a DC 21 WIS save or be frightened until the start of its next turn. Each friendly devil within 20 feet of the pit fiend is immune to the charmed and frightened conditions and has advantage on the first attack roll it makes on each of its turns."
                },
                {
                    "name": "Devilish Resilience",
                    "desc": "The devil is resistant to cold damage and to bludgeoning, piercing, and slashing damage from nonmagical attacks. In addition, it is immune to fire damage and poison damage and to the poisoned condition."
                },
                {
                    "name": "Flaming Weapons",
                    "desc": "The pit fiend's weapon attacks are magical. When the fiend hits with any weapon, the weapon deals an extra 4d6 fire damage (included in the attack)."
                },
                {
                    "name": "Magic Resistance",
                    "desc": "The pit fiend has advantage on saves against spells and other magical effects."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_planetar",
            "name": "Planetar",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Celestial",
                "key": "celestial"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 16.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet",
                "fly": 120
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 120,
                "burrow": 0,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "all,telepathy 120 ft.",
                "data": []
            },
            "armor_class": 19,
            "armor_detail": "natural armor",
            "hit_points": 242,
            "hit_dice": null,
            "experience_points": 15000,
            "ability_scores": {
                "strength": 24,
                "dexterity": 20,
                "constitution": 34,
                "intelligence": 18,
                "wisdom": 32,
                "charisma": 32
            },
            "modifiers": {
                "strength": 7,
                "dexterity": 5,
                "constitution": 12,
                "intelligence": 4,
                "wisdom": 11,
                "charisma": 11
            },
            "initiative_bonus": 5,
            "saving_throws": {
                "strength": 7,
                "dexterity": 5,
                "constitution": 12,
                "intelligence": 4,
                "wisdom": 11,
                "charisma": 11
            },
            "saving_throws_all": {
                "strength": 7,
                "dexterity": 5,
                "constitution": 12,
                "intelligence": 4,
                "wisdom": 11,
                "charisma": 11
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 5,
                "animal_handling": 11,
                "arcana": 4,
                "athletics": 7,
                "deception": 11,
                "history": 4,
                "insight": 11,
                "intimidation": 11,
                "investigation": 4,
                "medicine": 11,
                "nature": 4,
                "perception": 11,
                "performance": 11,
                "persuasion": 11,
                "religion": 4,
                "sleight_of_hand": 5,
                "stealth": 5,
                "survival": 11
            },
            "passive_perception": 21,
            "resistances_and_immunities": {
                "damage_immunities_display": "Angelic Resilience",
                "damage_immunities": [],
                "damage_resistances_display": "Angelic Resilience",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 120,
            "actions": [
                {
                    "name": "Greatsword",
                    "desc": "_Melee Weapon Attack:_ +12 to hit, reach 5 ft., one target. _Hit:_ 21 (4d6+7) slashing damage plus 31 (7d8) radiant damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Greatsword attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 12,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D6",
                            "damage_bonus": 7,
                            "damage_type": null,
                            "extra_damage_die_count": 7,
                            "extra_damage_die_type": "D8",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Radiant",
                                "key": "radiant"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Healing Touch",
                    "desc": "The planetar touches another creature. The target magically regains 30 (6d8+3) HP and is freed from any curse, disease, poison, blindness, or deafness.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "PER_DAY",
                        "param": 4
                    }
                },
                {
                    "name": "Multiattack",
                    "desc": "The planetar makes two Greatsword attacks, or it makes three Radiant Bolt attacks. It can replace one attack with a use of Spellcasting. If two Greatsword or Radiant Bolt attacks hit one creature, the target must succeed on a DC 19 CON save or be blinded until the end of its next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Radiant Bolt",
                    "desc": "_Ranged Spell Attack:_ +11 to hit, range 60 ft., one target. _Hit:_ 33 (6d8+6) radiant damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Radiant Bolt attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 11,
                            "reach": null,
                            "range": 60,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 6,
                            "damage_die_type": "D8",
                            "damage_bonus": 6,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Radiant",
                                "key": "radiant"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Radiant Burst",
                    "desc": "A pulse of divine power ripples out from the planetar's golden halo. Each hostile creature within 15 feet of the planetar must make a DC 19 DEX save, taking 56 (16d6) radiant damage on a failed save, or half as much damage on a successful one. Each friendly creature within 15 feet of the planetar is empowered with divine energy and has advantage on all melee attack rolls it makes before the start of the planetar's next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 6
                    }
                },
                {
                    "name": "Spellcasting",
                    "desc": "The planetar casts one of the following spells, requiring no material components and using CHA as the spellcasting ability (spell save DC 19).\n\n- **At Will:** _command_, _invisibility_ (self only)\n- **3/Day Each:** _daylight_, _raise dead_ (as an action)",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 5,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Angelic Resilience",
                    "desc": "The planetar is resistant to radiant damage and to bludgeoning, piercing, and slashing damage from nonmagical attacks. In addition, it is immune to exhaustion and the charmed and frightened conditions."
                },
                {
                    "name": "Angelic Senses",
                    "desc": "The planetar can pinpoint the location of Aberrations, Celestials, Fiends, and Undead within 30 feet of it and knows if a place or object it can sense is consecrated or desecrated."
                },
                {
                    "name": "Angelic Weapons",
                    "desc": "The planetar's weapon attacks are magical. When it hits with any weapon, the weapon deals an extra 7d8 radiant damage (included in the attack)."
                },
                {
                    "name": "Divine Awareness",
                    "desc": "The planetar knows if it hears a lie."
                },
                {
                    "name": "Divine Protection",
                    "desc": "Aberrations, Celestials, Fiends, and Undead have disadvantage on attack rolls against the planetar."
                },
                {
                    "name": "Immortal Nature",
                    "desc": "The planetar doesn't require food, drink, or sleep."
                },
                {
                    "name": "Magic Resistance",
                    "desc": "The planetar has advantage on saves against spells and other magical effects."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_solar",
            "name": "Solar",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Celestial",
                "key": "celestial"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 21.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 50,
                "unit": "feet",
                "fly": 150
            },
            "speed_all": {
                "unit": "feet",
                "walk": 50,
                "crawl": 25,
                "hover": false,
                "fly": 150,
                "burrow": 0,
                "climb": 25,
                "swim": 25
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "all, telepathy 120 ft.",
                "data": []
            },
            "armor_class": 21,
            "armor_detail": "natural armor",
            "hit_points": 306,
            "hit_dice": null,
            "experience_points": 33000,
            "ability_scores": {
                "strength": 26,
                "dexterity": 22,
                "constitution": 26,
                "intelligence": 38,
                "wisdom": 38,
                "charisma": 44
            },
            "modifiers": {
                "strength": 8,
                "dexterity": 6,
                "constitution": 8,
                "intelligence": 14,
                "wisdom": 14,
                "charisma": 17
            },
            "initiative_bonus": 6,
            "saving_throws": {
                "strength": 8,
                "dexterity": 6,
                "constitution": 8,
                "intelligence": 14,
                "wisdom": 14,
                "charisma": 17
            },
            "saving_throws_all": {
                "strength": 8,
                "dexterity": 6,
                "constitution": 8,
                "intelligence": 14,
                "wisdom": 14,
                "charisma": 17
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 6,
                "animal_handling": 14,
                "arcana": 14,
                "athletics": 8,
                "deception": 17,
                "history": 14,
                "insight": 14,
                "intimidation": 17,
                "investigation": 14,
                "medicine": 14,
                "nature": 14,
                "perception": 14,
                "performance": 17,
                "persuasion": 17,
                "religion": 14,
                "sleight_of_hand": 6,
                "stealth": 6,
                "survival": 14
            },
            "passive_perception": 24,
            "resistances_and_immunities": {
                "damage_immunities_display": "necrotic,poison,poisoned,Angelic Resilience",
                "damage_immunities": [
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "Angelic Resilience",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 120,
            "actions": [
                {
                    "name": "Celestial Tactics",
                    "desc": "The solar uses one of the following tactics:\n- **Empower Strikes.** The solar sends divine power into the weapons of up to two friendly creatures it can see within 30 feet of it. Each target has advantage on the next weapon attack roll it makes before the start of the solar's next turn. If that attack hits, the weapon deals an extra 7 (2d6) radiant damage.\n- **Inspire Resolve.** One friendly creature the solar can see within 30 feet of it gains 14 (4d6) temporary HP and becomes immune to the charmed and frightened conditions until the start of the solar's next turn, ending any effect currently causing the target to be charmed or frightened.\n- **Manipulate Battlefield.** The solar commands up to three friendly creatures it can see to reposition themselves on the battlefield. Each target can use a reaction to move up to half its speed in a direction of the solar's choice. This movement is unaffected by difficult terrain and doesn't provoke opportunity attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Greatsword",
                    "desc": "_Melee Weapon Attack:_ +15 to hit, reach 5 ft., one target. _Hit:_ 22 (4d6+8) slashing damage plus 27 (6d8) radiant damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Greatsword attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 15,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D6",
                            "damage_bonus": 8,
                            "damage_type": null,
                            "extra_damage_die_count": 6,
                            "extra_damage_die_type": "D8",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Radiant",
                                "key": "radiant"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Healing Touch",
                    "desc": "The solar touches another creature. The target magically regains 40 (8d8+4) HP and is freed from any curse, disease, poison, blindness, or deafness.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "PER_DAY",
                        "param": 4
                    }
                },
                {
                    "name": "Holy Fire Bolt",
                    "desc": "_Ranged Spell Attack:_ +14 to hit, range 60 ft., one target. _Hit:_ 34 (6d8+7) radiant damage plus 14 (4d6) fire damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Holy Fire Bolt attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 14,
                            "reach": null,
                            "range": 60,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 6,
                            "damage_die_type": "D8",
                            "damage_bonus": 7,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Fire",
                                "key": "fire"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Intimidating Glare",
                    "desc": "The solar glares at up to three creatures it can see within 30 feet of it. Each target must succeed on a DC 22 CHA save or be cowed until the end of its next turn. While cowed, a creature's speed is halved, and it can't look at the solar.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": 3,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Intimidating Glare (Costs 3 Actions)",
                    "desc": "The solar glares at up to three creatures it can see within 30 feet of it. Each target must succeed on a DC 22 CHA save or be cowed until the end of its next turn. While cowed, a creature's speed is halved, and it can't look at the solar.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The solar makes three Greatsword or Holy Fire Bolt attacks. It can replace one attack with a use of Spellcasting. If two Greatsword or Holy Fire Bolt attacks hit one creature, the target must succeed on a DC 22 CON save or be blinded until the end of its next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Searing Burst",
                    "desc": "The solar emits divine energy. Each creature of its choice within 10 feet of it must make a DC 22 Dexterity saving throw, taking 14 (4d6) fire damage and 14 (4d6) radiant damage on a failed save, or half as much damage on a successful one.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": 2,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Searing Burst (Costs 2 Actions)",
                    "desc": "The solar emits divine energy. Each creature of its choice within 10 feet of it must make a DC 22 Dexterity saving throw, taking 14 (4d6) fire damage and 14 (4d6) radiant damage on a failed save, or half as much damage on a successful one.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Spellcasting",
                    "desc": "The solar casts one of the following spells, requiring no material components and using WIS as the spellcasting ability (spell save DC 22).\n\n- **At Will:** _command_, _invisibility_ (self only)\n- **3/Day Each:** _greater restoration_, _resurrection_ (as an action)<br>1/day: _holy aura_",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Teleport",
                    "desc": "The solar magically teleports, along with any equipment it is wearing or carrying, up to 120 feet to an unoccupied space it can see.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Angelic Resilience",
                    "desc": "The solar is resistant to radiant damage and to bludgeoning, piercing, and slashing damage from nonmagical attacks. In addition, it is immune to exhaustion and the charmed and frightened conditions."
                },
                {
                    "name": "Angelic Senses",
                    "desc": "The solar can pinpoint the location of Aberrations, Celestials, Fiends, and Undead within 30 feet of it and knows if a place or object it can sense is consecrated or desecrated."
                },
                {
                    "name": "Angelic Weapons",
                    "desc": "The solar's weapon attacks are magical. When the solar hits with any weapon, the weapon deals an extra 6d8 radiant damage (included in the attack)."
                },
                {
                    "name": "Divine Awareness",
                    "desc": "The solar knows if it hears a lie."
                },
                {
                    "name": "Divine Protection",
                    "desc": "Aberrations, Celestials, Fiends, and Undead have disadvantage on attack rolls against the solar."
                },
                {
                    "name": "Immortal Nature",
                    "desc": "The solar doesn't require food, drink, or sleep."
                },
                {
                    "name": "Legendary Resistance (3/Day)",
                    "desc": "If the solar fails a save, it can choose to succeed instead."
                },
                {
                    "name": "Magic Resistance",
                    "desc": "The solar has advantage on saves against spells and other magical effects."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_star-crow",
            "name": "Star Crow",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Aberration",
                "key": "aberration"
            },
            "size": {
                "name": "Tiny",
                "key": "tiny"
            },
            "challenge_rating": 0.25,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet",
                "fly": 60,
                "hover": true
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": true,
                "fly": 60,
                "burrow": 0,
                "climb": 10,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "-",
                "data": []
            },
            "armor_class": 15,
            "armor_detail": "natural armor",
            "hit_points": 12,
            "hit_dice": null,
            "experience_points": 50,
            "ability_scores": {
                "strength": 6,
                "dexterity": 16,
                "constitution": 12,
                "intelligence": 1,
                "wisdom": 16,
                "charisma": 1
            },
            "modifiers": {
                "strength": -2,
                "dexterity": 3,
                "constitution": 1,
                "intelligence": -5,
                "wisdom": 3,
                "charisma": -5
            },
            "initiative_bonus": 3,
            "saving_throws": {
                "strength": -2,
                "dexterity": 3,
                "constitution": 1,
                "intelligence": -5,
                "wisdom": 3,
                "charisma": -5
            },
            "saving_throws_all": {
                "strength": -2,
                "dexterity": 3,
                "constitution": 1,
                "intelligence": -5,
                "wisdom": 3,
                "charisma": -5
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 3,
                "animal_handling": 3,
                "arcana": -5,
                "athletics": -2,
                "deception": -5,
                "history": -5,
                "insight": 3,
                "intimidation": -5,
                "investigation": -5,
                "medicine": 3,
                "nature": -5,
                "perception": 3,
                "performance": -5,
                "persuasion": -5,
                "religion": -5,
                "sleight_of_hand": 3,
                "stealth": 3,
                "survival": 3
            },
            "passive_perception": 13,
            "resistances_and_immunities": {
                "damage_immunities_display": "psychic,radiant,blinded,exhaustion,prone",
                "damage_immunities": [
                    {
                        "name": "Psychic",
                        "key": "psychic"
                    },
                    {
                        "name": "Radiant",
                        "key": "radiant"
                    }
                ],
                "damage_resistances_display": "Aberrant Resilience",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "poison",
                "damage_vulnerabilities": [
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 120,
            "actions": [
                {
                    "name": "Blinding Burst",
                    "desc": "The star crow dims then suddenly bursts with blinding light. Each creature within 30 feet of the star crow must succeed on a DC 13 CON save or be blinded until the end of its next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 5
                    }
                },
                {
                    "name": "Radiant Touch",
                    "desc": "_Melee Weapon Attack:_ +5 to hit, reach 5 ft., one target. _Hit:_ 5 (1d4+3) radiant damage, and the star crow attaches to the target. While attached, the star crow can use only the Thought Share action and Blinding Burst bonus action, and it moves with the target whenever the target moves, requiring none of the star crow's movement. The star crow can detach itself by spending 5 feet of its movement. A creature, including the target, can take its action to detach the star crow by succeeding on a DC 13 STR check.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Radiant Touch attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D4",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Radiant",
                                "key": "radiant"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Thought Share",
                    "desc": "The star crow learns some of the attached target's memories, and the attached target experiences a rapid sequence of memories from other creatures the star crow has encountered. The target takes 5 (2d4) psychic damage and must succeed on a DC 13 CHA save or be stunned until the end of its next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Aberrant Resilience",
                    "desc": "The star crow is resistant to the charmed, frightened, paralyzed, and stunned conditions, and it has advantage on saves against spells or effects that would alter its form."
                },
                {
                    "name": "Illumination",
                    "desc": "The star crow sheds bright light in a 20-foot radius and dim light for an additional 20 feet."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob-2023_gypsosphinx",
            "name": "Gypsosphinx",
            "document": {
                "name": "Tome of Beasts 1 (2023 Edition)",
                "key": "tob-2023",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 1 (2023 Edition)",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/tome-of-beasts-1-2023-edition-hardcover/"
            },
            "type": {
                "name": "Monstrosity",
                "key": "monstrosity"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 14.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 70,
                "unit": "feet",
                "fly": 40
            },
            "speed_all": {
                "unit": "feet",
                "walk": 70,
                "crawl": 35,
                "hover": false,
                "fly": 40,
                "burrow": 0,
                "climb": 35,
                "swim": 35
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "Neutral Evil",
            "languages": {
                "as_string": "Abyssal, Common, Darakhul, Sphinx",
                "data": [
                    {
                        "name": "Abyssal",
                        "key": "abyssal",
                        "desc": "Typical speakers are demons."
                    },
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    }
                ]
            },
            "armor_class": 17,
            "armor_detail": "natural armor",
            "hit_points": 190,
            "hit_dice": "20d10 + 80",
            "experience_points": 11500,
            "ability_scores": {
                "strength": 20,
                "dexterity": 14,
                "constitution": 18,
                "intelligence": 18,
                "wisdom": 18,
                "charisma": 18
            },
            "modifiers": {
                "strength": 5,
                "dexterity": 2,
                "constitution": 4,
                "intelligence": 4,
                "wisdom": 4,
                "charisma": 4
            },
            "initiative_bonus": 2,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 5,
                "dexterity": 2,
                "constitution": 4,
                "intelligence": 4,
                "wisdom": 4,
                "charisma": 4
            },
            "skill_bonuses": {
                "arcana": 9,
                "history": 9,
                "perception": 9,
                "religion": 9
            },
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": 4,
                "arcana": 9,
                "athletics": 5,
                "deception": 4,
                "history": 9,
                "insight": 4,
                "intimidation": 4,
                "investigation": 4,
                "medicine": 4,
                "nature": 4,
                "perception": 9,
                "performance": 4,
                "persuasion": 4,
                "religion": 9,
                "sleight_of_hand": 2,
                "stealth": 2,
                "survival": 4
            },
            "passive_perception": 19,
            "resistances_and_immunities": {
                "damage_immunities_display": "psychic, poison",
                "damage_immunities": [
                    {
                        "name": "Poison",
                        "key": "poison"
                    },
                    {
                        "name": "Psychic",
                        "key": "psychic"
                    }
                ],
                "damage_resistances_display": "necrotic; bludgeoning, piercing, and slashing from nonmagical attacks",
[...]
